#!/bin/sh

# Mumble (Murmur) install on Fedora 36

# OPTIONAL BUT RECOMMENDED - Set a password that will be required to join the server. Leaving this blank will make the server public.
SERVER_PASSWORD='SET_A_PASSWORD_HERE_IF_YOU_WANT'

# Vultr broken NS fix

echo "DNS=1.1.1.1" >> /etc/systemd/resolved.conf
systemctl restart systemd-resolved.service

# Disable firewalld (Cloud provider firewall will suffice)

systemctl stop firewalld

# Install Murmur

dnf install -y murmur

# OPTIONAL - Manually set DH from 2048 to 4096, manually generate SSL cert with 4096 RSA.
# If you just ignore this, mumble will do it's default DH 2048 and generate an SSL cert with 2048 RSA.

dnf install -y openssl
cd /etc/murmur
openssl req -x509 -nodes -days 365 -subj '/CN=mumbleserver/O=mumbleserver/C=SG' -newkey rsa:4096 -keyout ssl.key -out ssl.crt
chmod 644 ssl.crt
chmod 644 ssl.key
sed -i -e 's/;sslCert=/sslCert=ssl.crt/g' murmur.ini
sed -i -e 's/;sslKey=/sslKey=ssl.key/g' murmur.ini

# OPTIONAL - Increase bandwidth limit to 128Kbps instead of default 72Kbps
sed -i -e "s/bandwidth=72000/bandwidth=128000/g" murmur.ini

# OPTIONAL BUT RECOMMENDED - Set a password that will be required to join the server
sed -i -e "s/serverpassword=/serverpassword=$SERVER_PASSWORD/g" murmur.ini

# Start Murmur server

systemctl start murmur
